=== debian/changelog ===
ros-noetic-parameter-pa (1.2.3-2focal) focal; urgency=high

  * bumped cmake Version to 3.0.2 to avoid CMP0048
  * Contributors: Peter Weissig

 -- Peter Weissig <wepet@hrz.tu-chemnitz.de>  Mon, 07 Jun 2021 22:00:00 -0000

ros-noetic-parameter-pa (1.2.2-2focal) focal; urgency=high

  * updated documentation
    + updated README.md
    + added rosdoc.yaml
    + removed doxygen.h
  * updated year of copyright
  * updated gitignore-file
  * updated files to new repository (only changed documentation and license)
    moved from github.com/peterweissig/ros_parameter to github.com/TUC-ProAut/ros_parameter
  * Contributors: Peter Weissig

 -- Peter Weissig <wepet@hrz.tu-chemnitz.de>  Mon, 07 Jun 2021 22:00:00 -0000

ros-noetic-parameter-pa (1.2.1-2focal) focal; urgency=high

  * bugfixed loadTopic (loaded topic was not resolved)
  * bugfixed documentation (some typos)
  * Contributors: Peter Weissig

 -- Peter Weissig <wepet@hrz.tu-chemnitz.de>  Wed, 13 Dec 2017 23:00:00 -0000

ros-noetic-parameter-pa (1.2.0-2focal) focal; urgency=high

  * removed unnecessary headers
  * bugfixed include of xmlrpcpp
    (before kinetic those files were not related to a package)
  * update README.md
    bugfixed formatting (missing blanc line before table)
  * added new features ("./" and "../" within ressource names)
    added visual studio code config files (for ros kinetic)
    updated documentation
  * Contributors: Peter Weissig

 -- Peter Weissig <wepet@hrz.tu-chemnitz.de>  Sun, 10 Dec 2017 23:00:00 -0000

ros-noetic-parameter-pa (1.1.0-2focal) focal; urgency=high

  * moved header from include/ to include/${project_name}
    also fixed related paths
  * Contributors: Peter Weissig

 -- Peter Weissig <wepet@hrz.tu-chemnitz.de>  Mon, 31 Jul 2017 22:00:00 -0000

ros-noetic-parameter-pa (1.0.2-2focal) focal; urgency=high

  * updated year within license
  * updated version number
  * added install target to CMakeLists.txt
  * Contributors: Peter Weissig

 -- Peter Weissig <wepet@hrz.tu-chemnitz.de>  Sun, 30 Jul 2017 22:00:00 -0000
