=== debian/control ===
Source: ros-noetic-parameter-pa
Section: misc
Priority: optional
Maintainer: Peter Weissig <wepet@hrz.tu-chemnitz.de>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-noetic-catkin, ros-noetic-cmake-modules, ros-noetic-message-generation, ros-noetic-roscpp, ros-noetic-roslib
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-parameter-pa
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-noetic-cmake-modules, ros-noetic-message-runtime, ros-noetic-roscpp, ros-noetic-roslib
Description: ProAut parameter package
